%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define python_module_name	Scribes

Name:		scribes
Version:	0.2.5
Release:	4%{?dist}
Summary:	A sleek, simple, and powerful text editor for the GNOME desktop
Group:		Applications/Editors
License:	GPL
URL:		http://scribes.sourceforge.net/           

Source0:	http://openusability.org/download.php/93/%{name}-%{version}.tar.gz
Patch0:		%{name}-setup-no-dep-check.patch
Patch1:		%{name}-setup-install-gconf-schemas.patch
Patch2:		%{name}-setup-no-manual-gconf.patch
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
Requires:	gnome-python2-gtkspell >= 2.12
Requires:	gnome-python2-gtksourceview >= 2.12
Requires:	pygtk2 >= 2.8
Requires:	gnome-python2-gconf >= 2.12
Requires(pre):		GConf2
Requires(post):		GConf2
Requires(post):		scrollkeeper
Requires(preun):	GConf2
Requires(postun):	scrollkeeper


%description
Scribes is a simple and sleek text editor for the the GNOME desktop. It focuses
on keeping the working environment free from distractions, and providing strong
automation of mundane, repetitive tasks. 

Through this simplicity, Scribes is very powerful. Its many features include:
* A dynamic templating system (called Snippets),
* Automatic completion of indentifiers and bracketing,
* Automatic indentation and file saving,
* Bookmarks,
* Drag-and-drop functionality,
* Full support for Unicode (UTF-8) text (and many other encodings),
* Syntax highlighting for over 30 programming languages,
* Powerful GNOME integration
* Translations into several different languages,
...and more are in development!

In order to make use of its runtime documentation facilities, you will need to
install Yelp.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0


%build
%{__python} setup.py build


%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null ||:
fi


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%find_lang %{name}
desktop-file-install --vendor fedora	\
	--dir %{buildroot}%{_datadir}/applications	\
	--add-category X-Fedora	\
	--delete-original	\
	%{buildroot}/%{_datadir}/applications/%{name}.desktop
chmod a+x %{buildroot}/%{python_sitelib}/%{python_module_name}/findbar.py
chmod a+x %{buildroot}/%{python_sitelib}/%{python_module_name}/license.py


%post
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null ||:
scrollkeeper-update -q -o %{_datadir}/omf/%{name} ||:
update-desktop-database &> /dev/null ||:


%clean
rm -rf %{buildroot}


%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null ||:
fi


%postun
update-desktop-database &> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG README TODO TRANSLATORS COPYING
%{_bindir}/%{name}
%dir %{python_sitelib}/%{python_module_name}
%{python_sitelib}/%{python_module_name}/*.py
%{python_sitelib}/%{python_module_name}/*.pyc
%{python_sitelib}/%{python_module_name}/*.pyo
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/application-registry/%{name}.application
%{_datadir}/gnome/help/%{name}/
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/omf/%{name}/
%config(noreplace) %{_sysconfdir}/gconf/schemas/%{name}.schemas


%changelog
* Tue Aug 22 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.5-4
- Rename patches (add "%%{name}-" prefixes)

* Fri Aug 11 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.5-3
- Include .pyo files in build for new Python packaging guidelines.

* Sun Jun 25 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.5-2
- Add gnome-python2-gconf as a dependency to resolve bug #196139
  (Thanks, James Bannon)
- Fix command-substitution inconsistency in scriplets

* Mon Jun 12 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.5-1
- Update to new upstream release.

* Sat Jun 10 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.4.3-4
- Use %%{name} in the desktop-file-install path instead of hardcoding it. 

* Sat May 06 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.4.3-3
- Removed yelp Requires; added scrollkeeper as Requires(post) and
  Requires(postun)
- Dropped gconfd-2 killall statements in the scriptlets (not needed in FC5+).
- Thanks to Brian Pepple (Bug #189727).

* Tue Apr 25 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.4.3-2
- Added patch to remove unnecessary gconf foo in the setup.py script.
- Fix a few spacing inconsistencies in the .spec file.

* Sat Apr 22 2006 Peter Gordon <peter@thecodergeek.com> - 0.2.4.3-1
- Initial packaging.
